Package: groovy.json.internal

## [Java] Enum StringImplementation

- groovy.json.internal.FastStringUtils.StringImplementation

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `DIRECT_CHARS` |
    `OFFSET` |
    `UNKNOWN` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `noCopyStringFromChars(char[] chars)`
    `` | `char[]` | `toCharArray(String string)` Internal class for fast processing of Strings during JSON parsing

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FastStringUtils.StringImplementation DIRECT_CHARS

    - #### FastStringUtils.StringImplementation OFFSET

    - #### FastStringUtils.StringImplementation UNKNOWN

  - ### Method Detail

    - #### public String noCopyStringFromChars(char[] chars)

    - #### public char[] toCharArray(String string)

      Internal class for fast processing of Strings during JSON parsing